'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Logger = function () {
    function Logger(name) {
        _classCallCheck(this, Logger);

        this.name = name;
    }

    _createClass(Logger, [{
        key: 'log',
        value: function log(msg, type) {
            type = type || 'INFO';

            if ((typeof msg === 'undefined' ? 'undefined' : _typeof(msg)) === 'object') {
                console.log('[' + type + '] ' + this.name + ' - ');
                console.log(msg);
            } else {
                console.log('[' + type + '] ' + this.name + ' - ' + msg);
            }
        }
    }, {
        key: 'info',
        value: function info(msg) {
            this.log(msg, 'INFO');
        }
    }, {
        key: 'warn',
        value: function warn(msg) {
            this.log(msg, 'WARN');
        }
    }, {
        key: 'error',
        value: function error(msg) {
            this.log(msg, 'ERROR');
        }
    }, {
        key: 'debug',
        value: function debug(msg) {
            this.log(msg, 'DEBUG');
        }
    }]);

    return Logger;
}();

exports.default = Logger;
;

var logger = new Logger('logger');

Logger.help = function () {
    var msg = '\nvar logger = new Logger({name}) - Create a logger' + '\nlogger.info(msg);' + '\nlogger.warn(msg);' + '\nlogger.error(msg);' + '\nlogger.debug(msg);';
    logger.info(msg);
};